:host {
  display: block;
}
$responsive-threshold: 900px;

app-toolbar {
  background: var(--primary-color);
  color: var(--primary-text-color-inverted);
  display: flex;
  flex-direction: column;
  height: auto;
  min-height: 80px;
  position: relative;
  justify-content: center;
  [main-title] {
    text-align: center;
  }
  [filter] {
    margin: 0 1em;

    display: flex;
    flex-direction: row;
    @media(max-width: $responsive-threshold) {
      flex-direction: column;
    }

    section {
      border-right: #{"1px solid rgba(var(--primary-text-color-inverted-rgb), var(--divider-opacity))"};
      margin-right: 1em;
      padding-right: 1em;
      &:last-child {
        margin-right: 0;
        padding-right: 0;
        border: none;
      }
      @media(max-width: $responsive-threshold) {
        margin-right: 0;
        padding-right: 0;
        border: none;
      }
      div {
        display: flex;
        &[horizontal] {
          flex-direction: row;
          div {
            flex-direction: column;
          }
        }
      }
    }

    paper-radio-group {
      display: flex;
      flex-direction: column;
      flex-wrap: wrap;
      @media(max-width: $responsive-threshold) {
        flex-direction: row;
      }

      font-size: 1rem;
      --paper-radio-button-unchecked-color: var(--primary-text-color-inverted);
      --paper-radio-button-unchecked-ink-color: var(--primary-text-color-inverted);
      --paper-radio-button-label-color: var(--primary-text-color-inverted);
      --paper-radio-button-checked-color: var(--accent-color);
      --paper-radio-button-checked-ink-color: var(--accent-color);
    }

    paper-checkbox {
      font-size: .8em;
      --paper-checkbox-unchecked-color: var(--primary-text-color-inverted);
      --paper-checkbox-unchecked-ink-color: var(--primary-text-color-inverted);
      --paper-checkbox-checked-color: var(--accent-color);
      --paper-checkbox-checked-ink-color: var(--primary-text-color-inverted);
      --paper-checkbox-label-color: var(--primary-text-color-inverted);
      --paper-checkbox-checkmark-color: var(--primary-color);
    }

    paper-dropdown-menu {
      --paper-input-container-color: var(--primary-text-color-inverted);
      --paper-input-container-input-color: var(--primary-text-color-inverted);
      --paper-input-container-focus-color: var(--accent-color);
      --disabled-text-color: var(--primary-text-color-inverted);
      margin: 0;
    }
  }

  paper-input {
    --paper-input-container-color: var(--primary-text-color-inverted);
    --paper-input-container-input-color: var(--primary-text-color-inverted);
    --paper-input-container-focus-color: var(--accent-color);
    paper-icon-button {
      padding-top: 0;
      padding-bottom: 0;
      height: 24px;
    }
  }
}

::slotted(paper-fab) {
  position: absolute;
  top: .5em;
  right: .5em;
  margin: 0 !important;
  // @media(max-width: $responsive-threshold) {
  //   bottom: initial;
  //   top: 1em;
  // }
}

img {
  display: block;
  margin: auto;
}
[hide] {
  display: none;
}
